VkCommandBufferInheritanceInfo Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkRenderPass | renderPass
uint32_t | subpass
VkFramebuffer | framebuffer
VkBool32 | occlusionQueryEnable
VkQueryControlFlags | queryFlags
VkQueryPipelineStatisticFlags | pipelineStatistics

## Detailed Description

Definition at line 2320 of file vulkan.h.

## Field Documentation

## framebuffer

VkFramebuffer VkCommandBufferInheritanceInfo::framebuffer

Definition at line 2325 of file vulkan.h.

## occlusionQueryEnable

VkBool32 VkCommandBufferInheritanceInfo::occlusionQueryEnable

Definition at line 2326 of file vulkan.h.

## pipelineStatistics

VkQueryPipelineStatisticFlags VkCommandBufferInheritanceInfo::pipelineStatistics

Definition at line 2328 of file vulkan.h.

## pNext

const void* VkCommandBufferInheritanceInfo::pNext

Definition at line 2322 of file vulkan.h.

## queryFlags

VkQueryControlFlags VkCommandBufferInheritanceInfo::queryFlags

Definition at line 2327 of file vulkan.h.

## renderPass

VkRenderPass VkCommandBufferInheritanceInfo::renderPass

Definition at line 2323 of file vulkan.h.

## sType

VkStructureType VkCommandBufferInheritanceInfo::sType

Definition at line 2321 of file vulkan.h.

## subpass

uint32_t VkCommandBufferInheritanceInfo::subpass

Definition at line 2324 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h